# Update identity

Source: https://holofolder.com/app/docs/reference/account/update-identity

PATCH https://app.holofolder.com/app/api/v1/identity

OpenAPI operation (parameters, authentication, request body and responses):

```json
{
  "operationId": "update_identity",
  "summary": "Update identity",
  "description": "Update your own public username or display name.\n\nRequired permissions: `settings:write`. MCP tool: `update_identity`.",
  "tags": [
    "Account"
  ],
  "security": [
    {
      "apiKey": []
    }
  ],
  "parameters": [],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "$schema": "https://json-schema.org/draft/2020-12/schema",
          "type": "object",
          "properties": {
            "username": {
              "type": "string",
              "minLength": 3,
              "maxLength": 60
            },
            "displayName": {
              "type": "string",
              "minLength": 1,
              "maxLength": 60
            }
          },
          "additionalProperties": false,
          "required": []
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "Success"
    },
    "400": {
      "description": "See the API conventions page."
    },
    "401": {
      "description": "See the API conventions page."
    },
    "402": {
      "description": "See the API conventions page."
    },
    "403": {
      "description": "See the API conventions page."
    },
    "404": {
      "description": "See the API conventions page."
    },
    "409": {
      "description": "See the API conventions page."
    },
    "413": {
      "description": "See the API conventions page."
    },
    "422": {
      "description": "See the API conventions page."
    },
    "429": {
      "description": "See the API conventions page."
    },
    "503": {
      "description": "See the API conventions page."
    }
  }
}
```
